- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# hcloud_image_info – Gather infos about your Hetzner Cloud images

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Gather infos about your Hetzner Cloud images.

- This module was called `hcloud_location_facts` before Ansible 2.9, returning `ansible_facts` and `hcloud_location_facts`. Note that the hcloud_image_info module no longer returns `ansible_facts` and the value was renamed to `hcloud_image_info`!

Aliases: hcloud_image_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the image you want to get.
label_selector string |  | The label selector for the images you want to get.
name string |  | The name of the image you want to get.
type string | Choices: system ← snapshot backup | The label selector for the images you want to get.

## See Also

See also

Documentation for Hetzner Cloud API

  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud image infos
      hcloud_image_info:
      register: output

    - name: Print the gathered infos
      debug:
        var: output

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_image_info complex | always | The image infos as list
| description string | always | Detail description of the image Sample: Ubuntu 18.04 Standard 64 bit
| id integer | always | Numeric identifier of the image Sample: 1937415
| labels dictionary | always | User-defined labels (key-value pairs)
| name string | always | Name of the image Sample: ubuntu-18.04
| os_flavor string | always | OS flavor of the image Sample: ubuntu
| os_version string | always | OS version of the image Sample: 18.04
| status string | always | Status of the image Sample: available
| type string | always | Type of the image Sample: system

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@LKaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.